<?php
namespace App\HttpModels;

use App\Models\Lobby;

class LobbyModel {
    public $uid;
    public $name;
    public $isStrangerAccessible;
    public $isClientAccessible;

    public function __construct(Lobby $lobby)
    {
        $this->uid = $lobby->uid;
        $this->name = $lobby->name;
        $this->isStrangerAccessible = $lobby->is_stranger_accessible;
        $this->isClientAccessible = $lobby->is_client_accessible;
    }
}